package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.ObjTagRel;

import java.util.List;

/**
 * 对象&标签关系Service接口
 *
 * @author ruoyi
 * @date 2024-08-27
 */
public interface IObjTagRelService {
    /**
     * 新增绑定关系
     * @param objTagRel 绑定关系
     * @return cnt
     */
    int save(ObjTagRel objTagRel);

    /**
     * 删除绑定关系
     * @param objTagRel 绑定关系
     * @return cnt
     */
    int remove(ObjTagRel objTagRel);

    /**
     * 查询对象&标签关系列表
     *
     * @param objType 标签类型
     * @return 对象&标签关系集合
     */
    List<ObjTagRel> selectListByType(int objType);

    /**
     * 查询对象&标签关系
     *
     * @param objType 标签类型
     * @param tagCode 标签代码
     * @return 结果
     */
    List<ObjTagRel> selectListByTagCode(int objType, String tagCode);

    /**
     * 查询对象&标签关系
     *
     * @param objType 标签类型
     * @param objCode 标签代码
     * @return 结果
     */
    List<ObjTagRel> selectListByObjCode(int objType, String objCode);

    /**
     * 删除对象&标签关系
     *
     * @param objType 标签类型
     * @param objCode 对象代码
     * @return 结果
     */
    int deleteByObjCode(int objType, String objCode);
}
